InvalidLexicalValueException (xmlbeans API)

org.apache.xmlbeans.impl.common

## Class InvalidLexicalValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xmlbeans.impl.common.InvalidLexicalValueException

- All Implemented Interfaces:
    Serializable

      public class InvalidLexicalValueException
      extends RuntimeException

  Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 24, 2003
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidLexicalValueException()`
    `InvalidLexicalValueException(String msg)`
    `InvalidLexicalValueException(String msg, Location location)`
    `InvalidLexicalValueException(String msg, Throwable cause)`
    `InvalidLexicalValueException(String msg, Throwable cause, Location location)`
    `InvalidLexicalValueException(Throwable cause)`
    `InvalidLexicalValueException(Throwable cause, Location location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Location` | `getLocation()`
    `void` | `setLocation(Location location)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException()

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(String msg)

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(String msg,
                                              Throwable cause)

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(Throwable cause)

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(String msg,
                                              Location location)

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(String msg,
                                              Throwable cause,
                                              Location location)

    - #### InvalidLexicalValueException

          public InvalidLexicalValueException(Throwable cause,
                                              Location location)

  - ### Method Detail

    - #### getLocation

          public Location getLocation()

    - #### setLocation

          public void setLocation(Location location)